function onBegin()
    local level = getLevel()
    disableMovement()
    coroutine.yield(level:ZoomTo(vector2(156, 108), 1.06, 1))
    player.DummyAutoAnimate = false
    player.Sprite:Play("faint")
    walkTo(144)
    say("BevWeb_FIRETEMPLE_ending")
    setFlag("endfling",true)
    wait(2) -- replace "2" with second of moving
end

function onEnd()
    completeArea()
end